$
$ Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
$ Use is subject to license terms.
$

$ #pragma ident   "@(#)cddvdtest.msg 1.5 04/27/05"
 
$ cdtest messages
$ VERBOSE	   1 - 1999	
$ INFO		2000 - 3999 (also used for LOGFILE and CONSOLE messages)
$ WARNING	4000 - 5999
$ ERROR		6000 - 7999
$ FATAL		8000 - 9999 

$ START DEBUG messages
$ START CDROM DEBUG messages

$ END   CDROM  DEBUG messages
$ START DVDROM DEBUG messages

$ END   DVDROM  DEBUG messages
$ START CDDVDRW DEBUG messages 

$ DEBUG
0001    "%s %s"

$ END CDDVDRW DEBUG messages 
$ START Addnl I18N DEBUG messages 

0002	"\tCD-DA (CD Digital Audio) support succeeded\n" 

0003	"\tSetting drive to data TAO mode succeeded"	

0004	"\tSetting drive to data SAO mode succeeded"

0005	"\tSetting drive to audio SAO mode succeeded"	

0006	"\tSetting drive to audio DAO mode succeeded"	

0007	"Reading device information"	

0008	"\tDevice : %s \n"

0009	"."

0010	"Read block %d thru %d, block size %d"	

0011	"device_name %s \n"	

0012	" start %ld end %ld nblk %ld\n"

0013	"Read block %d thru %d, block size %d"

0014	"blksize = %d lba = %d size = %x\n"

0015	"nblk = %d \n"

0016	"partion %d, startblk %d, numblks %d \n"

0017	"Session count wrong (should be 1)"

$ END   Addnl I18N DEBUG messages 
$ END 	DEBUG messages

$ START VERBOSE messages
$ START CDROM VERBOSE messages 

$ CDROM_READ_OFFSET
1000	"CDROM read offset = %d"

$ CDROM_TOC
1001	"CD table of contents (track %d thru %d)"

$ CDROM_TRACK_INFO
1002	"Track %03d, type %d, mode %03d, lba %06d"

$ CDROM_NO_PART_INFO
1003	"unsuccessful DKIOCGAPART;no filesystem on disk?"

$ END CDROM VERBOSE messages 
$ START DVDROM VERBOSE messages

$ DVDROM_READ_OFFSET
1200    "CDROM/DVDROM read offset = %d"

$ DVDROM_TRACK_INFO
1201    "Track %03d, type %d, mode %03d, lba %06d"

$ CDROM_NO_PART_INFO
1202    "unsuccessful DKIOCGAPART;no filesystem on disk?"

$ P_inquiry_fail
1203 "\ninquiry failed: %d - %d."

$ P_inquiry_pass
1204   "inquiry passed."


$ END   DVDROM  VERBOSE messages 
$ START CDDVDRW VERBOSE messages 

$ CDDVDRW_READ_OFFSET 
1300 CDROM read offset = %d

$ CDDVDRW_TOC
1301 CD table of contents (track %d thru %d)

$ CDDVDRW_TRACK_INFO
1302 Track %03d, type %d, mode %03d, lba %06d

$ CDDVDRW_NO_PART_INFO
1303 unsuccessful DKIOCGAPART;no filesystem on disk?

$ V_BUSY
1304 Cannot obtain disk information. Device is busy. Could be still in blankin
g operation. Replace with a blank media.

$ V_EJECT
1305 Ejecting the disk

$ V_WRITE_SIM
1306 Write Simulation to data track

$ V_CD_DA
1307 \tCD-DA accuracy succeeded

$ V_READ_SPEED
1308 Read speed is %dX

$ V_READ_DATA
1309 Reading data track %d

$ V_READ_AUDIO
1310 Reading audio track %d

$ V_WRITE_DATA
1311 Writing data track to disk

$ V_DISK_SIZE
1312 Disk size is %d bytes

$ V_WRITE_AUDIO
1313 Writing data to audio track : %d

$ V_BLANK_DISK
1314 Blanking the disk.

$ V_BLANK_SUCC
1315 Blank command succeeded

$ V_NEXT_WRITE_ADR
1316 Next writable address: %d

$ V_NEXT_TRACK
1317 next_track:%d,  next_session:%d

$ V_ERASE
1318 Erase : %d

$ V_BLANK_TIME
1319 Time to blank is: %d seconds

$ V_BLANK_WHOLE
1320 Blanking whole disk (this will take a while). Please do not stop the cdrw
test while blanking!

$ V_BLANK_FAST
1321 Blank disk fast.

$ V_FULL_BLANK
1322 Full blanking took %d minutes

$ V_CHECK_TRACK
1323 Block %d Buf 0 0x%02x 1 0x%02x 2 0x%02x

$ V_BLANK_LAST_SESSION
1324 Blanking the last session.

$ V_WRITE_DVD_RW
1325 Drive can write DVD-R(W)

$ V_READ_DVD_RW
1326 Drive can read DVD-R(W)

$ V_CHECK_CAP
1327 Reading Mode Page 0x2A..

$ V_MEDIA_BLANK
1328 Media is blank

$ V_MEDIA_NOT_BLANK
1329 Media is NOT blank

$ V_BLANK_MEDIA_FAIL
1330 Blank media FAILED

$ V_SKIP_WRITE_TEST
1331 Skip write test

$ V_SIM_MODE
1332 In Simulation mode

$ V_NOT_ERASABLE
1333 Media is not eraseable

$ V_TEST_WR_SUPPORT
1334 Testing write support

$ V_SUCCEED
1335 ..succeeded.

$ END CDDVDRW VERBOSE messages (cddvdtest.msg)
$ START Addnl I18N VERBOSE messages 

1336	"VTS test data found"

1337	"\tDrive does not support data TAO mode."	

1338	"\tDrive does not support audio TAO mode."	

1339	"\tDrive does not support data SAO mode."	

1340	"\tDrive does not support audio SAO mode."	

1341	"\tDrive does not support data DAO mode."	

1342	"\tDrive does not support audio DAO mode."	

1343	"DVD-R found"	

1344	"DVD-RW found"

1345	"DVD+R found"

1346	"DVD+RW found"

1347	"Getting TOC info..."	

1348	"Media is blank."	

1349	"\t---------------------------------------"

1350	"\t Track\t\t Type\t\tStart\n"	

1351	"Retrying...%d, cblk=%x, blks_read=%x "	

1352	"Formatting .."	

1353	"Format completed"	

1354	"Blanking command Failed"	

1355	"Blanking Fast"	

1356	"===== Closing disk===== \n"

1357	"expect_track:%d\n"

1358	"Media is not blank, Blanking FAILED\n"

1359	"...Failed (should be less than 3 min.)"

1360	"Time to blank is: %d seconds"

1361	"Blanking whole disk (this will take a while)"

1362	"Full blanking took %d minutes\n\n"	

1363	"Fast blanking took %d minutes\n\n"

1364	"\nReading mode page 0x2A..."

1365	"TOSHIBA drive found"

1366	"using rt speed ctrl\n"

1367	"using cd speed ctrl\n"

1368	"DKIOCGMEDIAINFO failed\n"

1369	"read_format_capacity = %d "

1370	"bs = %d DKIO blocksize = %d\n"

1371	" switching to %d\n"

1372	"...succeeded\n"

1373	"\t---------------------------------------"

1374	"\nData read test\n"

1375	"Data is stored on %d blocks \n"

1376	"Data read/compare test"

1377	"Read %d blocks out of track size %d blocks."

1378	"\nAudio read test\n"

1379	"Read %d blocks out of track size %d blocks"

1380	"Building track info"

1381	"Turning off the laser"

1382	"Turning on the laser"

1383	"0x%02x \n"

1384 	"System error: %s\n"

1385	"Transport error: "

1386	"System cold not supply data at the required rate.\n";

1387	"Try using a lower speed for write\n";

1388	"Bad media.\n"

1389	"I/O error\n"

1390	"Sense key %x, asc/asq %x/%x\n"

1391	"User abort.\n"

1392	"Unknown error type.\n"

1393	"Trackio err type %d\n"

1394	"writing %d bytes "

1395	"Simulation mode "

1396	"succeeded.\n"	

1397	"Trying to set speed to %dX.\n"

1398	"Speed set to %dX.\n"

1399	"Speed set to closest approximation of %dX allowed by device (%d k/s)"

1400	"FAILED\n"

1401	"Cannot initialize device for write\n"

1402	"Trying to set speed to %dX"

1403	"Unable to set speed."

1404	"Writing track %d..."

1405	"Writing track FAILED\n"

1406	"Write track succeeded"

1407	"Finalizing..."

1408	FAILED.\nstatus %x, %x/%x/%x\n"

1409	"Succeeded\n"

1410	"Cannot obtain disc information"

1411	"Media in the device is not writable"

1412	"Set Mode Page failed, drive may not support BUFE turned off."

1413    "Creating BOE file %s \n"

1414    "Load from BOE file pass=%d, allowe=%d"

1415     "VTS test data found"

1416    "Cannot erase non-eraseable media.. ignore"

1417    "Error retry: err-retry=<n> specify number of retries, before the test fails."

1418    "Blank on error window: Specify the number of passes of test, before blanking the media."

1419     "Blank on error count: Specify the number of blankings allowed per window"

1420     "BOE.pass= %d, BOE.allow=%d"




$ END   Addnl I18N VERBOSE messages 
$ END VERBOSE messages (cddvdtest.msg)
$ START INFO messages
$ START CDROM INFO messages

$ CDROM_TIME_WARNING
2000	"The play time %d sec exceeds time usually expected (%d sec) at track %d. This may happen under conditions of heavy system load"

$ I_cdrom_conn
2001 Connected <> 

$ I_CDARG_NEED_TXT
2002    "%s= must be followed by a valid text string."\n

$ I_CDARG_NEED_NUM
2003    "%s= must be followed by a number."\n




$ END   CDROM  INFO messages
$ START DVDROM INFO messages

2100    "The play time %d sec exceeds time usually expected (%d sec) at track %d
. This may happen under conditions of heavy system load"

2101   Connected <Media Type = %s, Block Size = %d, Capacity(blocks) = %lld >

2102  "Media Type = %s, Block Size = %d, Capacity(blocks) = %lld"

$ END   DVDROM  INFO messages
$ START CDDVDRW INFO messages

$ CDDVDRW_TIME_WARNING
2200    "The play time %d sec exceeds time usually expected (%d sec) at track
%d. This may happen under conditions of heavy system load"

$ I_cdrom_conn
2201 Connected <>

$ I_CDARG_NEED_TXT
2202    "%s= must be followed by a valid text string."\n

$ I_CDARG_NEED_NUM
2203    "%s= must be followed by a number."\n

$ I_RETRY_MSG
2204 "Pass %d - starting retry %d / maxretry %d [source 0x%x]"

$ I_CMDSENSE_RETRY
2205 \nRead issue - CMD:SENSE[0x%x:0x%x 0x%x 0x%x] Retry %d\n

$ I_POST_RD_RENTRY
2206 Retry %d after read

$ I_RETRY_READ
2207 "Retry %d after read (resid/readsize=0x%x/0x%x)"

$ I_AU_RD_CMDSENSE_RETRY
2208 \nAudio read - CMD:SENSE[0x%x:0x%x 0x%x 0x%x]\n

$ I_POST_AU_RD_RETRY
2209 Retry %d after audio read

$ I_RD_TRKINFO_RETRY
2210 Reading Track Info retry



$ END   CDDVDRW INFO messages

$ START Addnl I18N INFO messages 

2211	"Media type 0x%04x not supported"

2212 	"Erase vts data\n"	

2213    "Invalid option, this option is not supported \n"

$ END   Addnl I18N INFO messages 
$ START CONSOLE/LOGFILE messages
$ START CDROM CONSOLE/LOGFILE messages

$ ROUTINE_MESG
3000	\tCD_ROM specific options:\n\
	 	dev = devicename\n\
		read = read access (random|sequential)\n\
		data = percentage of data to be read\n\
		vol = audio volume (0..255, default 125)\n\
		type = type of CD used for test(pdo|multisession|other)\n\n\
	DVD_ROM specific options:\n\
		dev = devicename\n\
		read = read access (random|sequential)\n\
		data = percentage of data to be read\n\n\
	CD-RW/CD-R specific options:\n\
                dev = devicename c?t?d?\n \
                loop = number of loops\n\
                nosim = do not perform simulation write\n\
                nodata = do not perform data track test\n\
                noaudio = do not perform audio track test\n\
                speed = write speed\n\
                eject = eject media at end of test\n\
                close = close file at end of test\n\
                erase = erase at the end of test\n\
                        none, session or all \n\
	DVD-RW/DVD-R  DVD+RW/DVD+R test specific options:\n\
                dev = devicename c?t?d?\n\
                media = DVD-R, DVD-RW, DVD+R, DVD+RW, CD-R, CD-RW\n\
                nosim = do not perform simulation write\n\
                speed = write speed\n\
                size = 2MB, 10MB, 2GB\n\
                erase = erase at the end of test\n\
                       none, fast, all\n\
                eject = eject media at end of test.\n"

$ END   CDROM  CONSOLE/LOGFILE messages
$ START DVDROM CONSOLE/LOGFILE messages

$ END   CDROM   CONSOLE/LOGFILE messages
$ START CDDVDRW CONSOLE/LOGFILE messages

$ END  CDDVDRW CONSOLE/LOGFILE messages
$ START Addnl I18N CONSOLE/LOGFILE messages

3001    "error type %s\n"

3002    "Invalid or media type not specified\n"

3003	"Buffer 1: 1 0x%08x  Buffer 2: 0x%08x size 0x%04x actual read size 0x%04x\n"

3004	\n\tManufacturing only supported options\n\
		dataprotection = Data protection enable or disable.\n\
		boe_win = Blank on error windows.\n\
		boe_cnt = Blank on error count.\n\
		err_retry = Error retry count\n

$ END  Addnl I18N CONSOLE/LOGFILE messages
$ END  CONSOLE/LOGFILE messages
$ START WARNING messages
$ START CDROM WARNING messages

$ AUDIO_TIME_EXCEED
4000	"Audio play exceeded %d second time limit at track %d" Probable_Cause(s): \
<Heavy system load>

$ DEV_NOT_AVAILABLE
4001	"Device unavailable to perform testing" Probable_Cause(s): \
<%s> Recommended_Action(s): <Retry after sometime>

$ CDROMSTOP_FAIL
4002	"ioctl CDROMSTOP failure (number of retries: %d)"

$ END   CDROM  WARNING messages
$ START DVDROM WARNING messages

$ DEV_NOT_AVAILABLE
4101    "Device unavailable to perform testing" Probable_Cause(s): \
<%s> Recommended_Action(s): <Retry after sometime>

$ CDROMSTOP_FAIL
4102    "ioctl CDROMSTOP failure (number of retries: %d)"

# COPY_PORT
4103 "Media is copy proctected" Probable_Cause(s): \
<%s> Recommended_Action(s): <Replace media>

$ END   DVDROM  WARNING messages
$ START CDDVDRW WARNING messages

$ AUDIO_TIME_EXCEED
4200    "Audio play exceeded %d second time limit at track %d" Probable_Cause(
s): \
<Heavy system load>

$ DEV_NOT_AVAILABLE
4201    "Device unavailable to perform testing" Probable_Cause(s): \
<%s> Recommended_Action(s): <Retry after sometime>

$ CDROMSTOP_FAIL
4202    "ioctl CDROMSTOP failure (number of retries: %d)"

4203    "Track count wrong (should be %d was %d). Reading TOC FAILED\n"

4204    "Track Number is %d which exceed 99 \n"

$ END   CDDVDRW WARNING messages
$ START Addnl I18N WARNING messages

4205 "Writing is in progress. Please wait for completion."

4206 "Finalizing is in progress. Please wait for completion."

4207 "Blanking is in progress. Please wait for completion."

4208 "Formatting is in progress. Please wait for completion."

4209 "Wait for cddvdtest completed."

$ END   Addnl I18N WARNING messages
$ END   WARNING messages
$ START ERROR messages
$ START CDROM ERROR messages

$ SEEK_FAIL
6000	"Fail to seek at block %d" Probable_Cause(s): <%s> <Bad media> \
Recommended_Action(s): <retry with a different CD>

$ READ_FAIL
6001	"Fail to read %d bytes at block %d" Probable_Cause(s): <%s> <Bad media>\
<Incorrect CD type passed to cdtest>

$ UNSUPPORTED_DATAMODE
6002	"Data mode %d not supported" Probable_Cause(s): <datamode has a value other \
than CD_DATAMODE1 or CD_DATAMODE2 (see cdio(7))>

$ AUDIO_ERR
6003	"Error occured while playing audio track %d"

$ AUDIO_STOP_ERR
6004	"Audio stop before complete at track %d"

$ AUDIO_UNKNOWN_STAT
6005	"Unexpected audio status %d received at track %d"

$ READOFFSET_ERR
6006 	"Fail in reading offset of the multi-session, offset = %d" Probable_Cause(s): \
<an incorrect value for cdtype has been passed to the cdtest> <Bad media>
$ NOT_MULTISESSION_DISC

6007	"This is not a CD ROM Multi-Session disc!" Probable_Cause(s): <An incorrect \
value for cdtype has been passed to the cdtest>

$ END   CDROM  ERROR messages
$ START DVDROM ERROR messages

6100    "Fail to seek at block %d" Probable_Cause(s): <%s> <Bad media> \
Recommended_Action(s): <retry with a different media>
$ READ_FAIL

6101    "Fail to read %d bytes at block %d" Probable_Cause(s): <%s> <Bad media>
<Wrong optical disk type>

$ UNSUPPORTED_DATAMODE
6102    "Data mode %d not supported" Probable_Cause(s): <datamode has a value ot
her \
than CD_DATAMODE1 or CD_DATAMODE2 (see cdio(7))>

$ END   DVDROM ERROR messages
$ START CDDVDRW ERROR messages

$ SEEK_FAIL
6200    "Fail to seek at block %d" Probable_Cause(s): <%s> <Bad media> \
Recommended_Action(s): <retry with a different CD>
$ READ_FAIL

6201    "Fail to read %d bytes at block %d" Probable_Cause(s): <%s> <Bad media
>\
<Incorrect CD type passed to cdtest>

$ UNSUPPORTED_DATAMODE
6202    "Data mode %d not supported" Probable_Cause(s): <datamode has a value
other \
than CD_DATAMODE1 or CD_DATAMODE2 (see cdio(7))>

$ AUDIO_ERR
6203    "Error occured while playing audio track %d"

$ AUDIO_STOP_ERR
6204    "Audio stop before complete at track %d"

$ AUDIO_UNKNOWN_STAT
6205    "Unexpected audio status %d received at track %d"

$ READOFFSET_ERR
6206    "Fail in reading offset of the multi-session, offset = %d" Probable_Ca
use(s): \
<an incorrect value for cdtype has been passed to the cdtest> <Bad media>

$ NOT_MULTISESSION_DISC
6207    "This is not a CD ROM Multi-Session disc!" Probable_Cause(s): <An inco
rrect \
value for cdtype has been passed to the cdtest>

6208  "Track count wrong (should be %d was %d). Reading TOC FAILED\n"

6209   "Next writable address is %d. Should be -1 not %d...Closing disk FAILED
 \n"

6210   "%s Read only open FAILED. Please check device name."

6211    "CD-DA (CD Digital Audio) support FAILED\n"

6212   "CD-DA accuracy FAILED\n"

6213    "Retrieving mode page 5 FAILED\nCould not get write capabilites\n"

6214    "\nSome Write Mode not support.\n Please run with VERBOSE ON to see th
e modes not support."

6215    "Data Read Failed\n"

6216    "Could not read track information\n"

6217    "\nRead FAILED :[0x%x 0x%x 0x%x]\n"

6218  "Invalid blanking type specified\n"

6219   "Blank command FAILED"

6220   "Blanking operation FAILED\n"

6221   "Blank command timed out."

6222   "failed to read track info \n"

6223   "Block %d Expect track %d  Was %d \n"

6224   "Expect audio track    Was data track \n"

6225    "Expect data track    Was audio track \n"

6226   " Read/Compare Error"

$ END   CDDVDRW ERROR messages
$ START Addnl I18N ERROR messages

6227	"ERROR:There may be no media in the drive or media could be damaged. Please check and retry."

6228	"Error: Unknown media type"

6229	"Could not read inquiry information\n"	

6230	"Reading TOC FAILED!\n"	

6231	"Reading additional TOC FAILED!\n"	

6232	"Read error."	

6233	"\nERROR: in byte %d to %d exp: 0x%02x, was: 0x%02x\n"	

6234	"Read Seq: %d, Size to be read 0x%x, size read 0x%x \n"	

6235	"Read failed blockno 0x%x, size 0x%x, remainder 0x%x\n"

6236	"Could not read track information\n"	

6237	"\nRead Failed, CMD:SENSE[0x%x:0x%x 0x%x 0x%x]\n"

6238	"\nRead Failed, CMD:SENSE[0x%x:0x%x 0x%x 0x%x]\n"

6239    "\nRead Failed, CMD:SENSE[0x%x:0x%x 0x%x 0x%x]\n"

$ END   Addnl I18N ERROR messages
$ END   ERROR messages
$ START FATAL messages
$ START CDROM FATAL messages

$ FATAL messages
$ OPEN_FAIL
8000	"Fail to open device %s" Probable_Cause(s): <%s>

$ IOCTL_FAIL
8001	"Fail ioctl %s" Probable_Cause(s): <%s>

$ NO_PARTITION
8002	"Fail ioctl %s" Probable_Cause(s): <%s> <No partitions on the disc>

$ CDROM_NO_MEMORY
8003	"Fail to allocate %d bytes of memory"

$ CDROM_INVALID_TOCHDR
8004	"Error occured while reading TOC header" Probable_Cause(s): <Track numbers \
out of range; First track: %d, Last track: %d> Recommended_Action(s): <retry \
with different CD>

$ DATACMP_ERR
8005	"Data miscompare while reading %d bytes starting from block %d" \
Probable_Cause(s): <An incorrect value for cdtype has been passed to cdtest> \
<Bad media>

$ CDROMSTART_FAIL
8006	"ioctl CDROMSTART failure (number of retries: %d)"

$ CDROM_STAT_FAIL
8007	"Failed to get information about %s" \
Probable_Cause(s): <No media in the drive> <CD-ROM drive not connected or \
configured properly>

$ END   CDROM  FATAL messages
$ START DVDROM FATAL messages

$ OPEN_FAIL
8100    "Fail to open device %s" Probable_Cause(s): <%s>

$ IOCTL_FAIL
8101    "Fail ioctl %s" Probable_Cause(s): <%s>

$ NO_PARTITION
8202    "Fail ioctl %s" Probable_Cause(s): <%s> <No partitions on the disc>

$ DVDROM_NO_MEMORY
8203    "Fail to allocate %d bytes of memory"

$ DATACMP_ERR
8204    "Data miscompare while reading %d bytes starting from block %d" \
Probable_Cause(s): <An incorrect value for cdtype has been passed to dvdtest> \
<Bad media>

$ CDROMSTART_FAIL
8205    "ioctl CDROMSTART failure (number of retries: %d)"

$ DVDROM_STAT_FAIL 
8206    "Failed to get information about %s" \
Probable_Cause(s): <No media in the drive> <DVD-ROM drive not connected or \
configured properly>

$
8207  "ioctl DKIOCINFO: The media is not a CD/DVD. The ctype is %d. "

$
8208 "Failed on ioctl %s: %d: %s"

$
8209 "Failed on ioctl %s: %s: %s"

$
8210 "Failed on ioctl %s: %d: %s" Probable_Cause(s): <Device driver does not sup
port dvd device> Recommended_Action(s): <Install new device driver or new OS>  <
If the problem persists, call your authorized Sun service provider.>

$
8211 "Not a DVD media. Media_type is %d" Probable_Cause(s): <Not a DVD media> Re
commended_Action(s): <Insert the DVD media> <Re-probe VTS> <If the problem persi
sts, call your authorized Sun service provider.>

# COPY_PORT
8212 "Media is copy proctected" Probable_Cause(s): \
<%s> Recommended_Action(s): <Replace media>

$ END   DVDROM FATAL messages
$ START CDDVDRW FATAL messages

$ OPEN_FAIL
8300    "Fail to open device %s" Probable_Cause(s): <%s>

$ IOCTL_FAIL
8301    "Fail ioctl %s" Probable_Cause(s): <%s>

$ NO_PARTITION
8302    "Fail ioctl %s" Probable_Cause(s): <%s> <No partitions on the disc>

$ CDDVDRW_NO_MEMORY
8303    "Fail to allocate %d bytes of memory"

$ CDDVDRW_INVALID_TOCHDR
8304    "Error occured while reading TOC header" Probable_Cause(s): <Track num
bers \
out of range; First track: %d, Last track: %d> Recommended_Action(s): <retry \
with different CD>

$ DATACMP_ERR
8305    "Data miscompare while reading %d bytes starting from block %d" \
Probable_Cause(s): <An incorrect value for cdtype has been passed to cdtest> \
<Bad media>

$ CDROMSTART_FAIL
8306    "ioctl CDROMSTART failure (number of retries: %d)"

$ CDDVDRW_STAT_FAIL
8307    "Failed to get information about %s" \
Probable_Cause(s): <No media in the drive> <CD-ROM drive not connected or \
configured properly>

8308 "Unable to find volmgr_name for device %s, Please remove then replace the
 media. \n"

8309 "Drive is not ready or cannot read TUR.  Please check if drive tray is ej
ected\n"

8311  "check_device() failed:%s"

8312  "Media not blank\n"

8313   "Track Number is %d which exceed 99 \n"

8314   "Cannot read media capacity\n"

8315   "Not enough room to write image\n"

8316   "Cannot find writable address on disk\n"

8317   "Retrieving mode page 5 for test mode FAILED\n"

8318   "Setting test mode using mode page 5 FAILED. \nCould not turn laser %s \n"

8319    "Invalid erase code : %d \n"

8320    "Erase session failed. track_no expect %d, was %d\n"

8321    "Write to track %d will exceed maximum track %d\n"

8322   "Wrong media inserted. CDRW media expected.\n"

8323   "Wrong media inserted. DVD-RW media expected\n"

$ END   CDDVDRW FATAL messages
$ START Addnl I18N FATAL messages

8324	"Disk contains user's data. Test Aborted"

8325	"Failed to blank media \n"	

8326	"Media not supported."	

8327	"Failed to get drive configuration"	

8328	"Cannot find writable add

8329	"Could not initialize drive to write to DVD media"

8330	"Setting reservation failed"

8331	"Could not format media"	

8332	"Blank disk failed"	

8333	"Failed read track info"	

8334	"Error reading"	

8335	"Reading TOC FAILED"

8336	"Memory allocation failure, Exiting...\n"	

8337	"Cannot initialize device for write\n"

8338	"Unable to set speed.\n"

8339	"Retrieving writable address from the media FAILED"

8340	"Media state is not suitable for this write mode."

8341	"FAILED at %d. on writing track %d\n"

8342	"Could not finalize the disc.\n"


$ END   Addnl I18N FATAL messages
$ END   FATAL messages
$ START PROBE messages
$ START CDROM PROBE messages

$ END   CDROM PROBE messages
$ START DVDROM PROBE messages

$ END   DVDROM PROBE messages
$ START CDDVDRW PROBE messages

$ --------------
$ PROBE messages
$ ----

10000   "%s"

10001   "Media is not writable. Device not ready. Not a cdrw drive."

10002  "Retrieving mode page, 0x2A, failed. This may be a read only drive.\n"

10003   "\n\nWarning: Compatibility test failed. This drive may be an older ge
neration or CD/DVD-ROM drive.\n"

10004   "Drive cannot read CDRs\n"

10005   "Drive is not a CD writer\n"

10006   "Drive cannot read CDRWs\n"

10007   "Drive cannot write CDRWs\n"

10008   "Retrieving mode page 5 FAILED\n"

10009   "Could not get write capabilites\n"

10010   "Block size is not 2048 bytes..FAILED"

10011   "Reading media size ...FAILED\n"

10012   "Getting read speed FAILED\n"

10013   "Reading additional TOC FAILED!\n"

10014   "Could not read inquiry information\n"

10015   "Disc capacity should be 0 not %d...FAILED\n"

10016   "Block size, %d, is not 2048 bytes\n"

10017   "Reading capacity FAILED, could be an older generation or CD/DVD-ROM d
rive.\n"

10018   "Getting write speed FAILED\n"

10019   "Getting read speed FAILED\n"

10020   "cdrw %s: Read only open FAILED\n"

10021   "ERROR: %s: Invalid argument"

10022   "ERROR: Loop of %d  will write more than %d tracks, which exceeds medi
a capacity"

10023   "ERROR: The speed you asked %dX  is over the drive write speed %dX"

10024   "ERROR: The cdrw media is not blank while VTS probing. Erase operation
 is not allowed"

10025   "Drive cannot write DVD-R(W)"

10026   "Drive cannot read DVD-R(W)"

10027   "ERROR: Select at least one track type"

10028   "ERROR: Can not erase CD-R/DVD-R/DVD+R"

$ END   CDDVDRW PROBE messages
$ START  Addnl I18N PROBE messages

10029	"register_dvdrom....\n"

10030	"ERROR:There may be no media in the drive or media could be damaged. Please check and retry."

10031	"Media type 0x%04x not supported"

10032	"Error: Unknown media type"

10033	"Error: Failed Read Configuration"

10034	"register_optical starting %s... \n"

10035	"get_media_type:Media type is 0x%04x:%s \n"

10036	"register_cdrw return 0x%x \n"	

10037	"Unable to get media info. register_optical returns 0x%04x:%s \n"

10038	"\tCD-DA (CD Digital Audio) support FAILED\n"

10039	"\tCD-DA (CD Digital Audio) support succeeded\n"

10040	"\tCD-DA accuracy FAILED\n"

10041	"\tCD-DA accuracy succeeded\n"

10042	"capability length: %d \n"

10043	"...retrieving mode page 0x2A FAILED\n"

10044	"\n\nCompatability test FAILED\n"

10045	"return %x \n"	

10046	"ok \n"

10047	"readDA_accuracy%x \n"	

10048	"\tCD-DA (CD Digital Audio accuracy) support FAILED\n"

10049	"\nTesting write support\n"

10050	"\n\tGetting TOC info..."

10051	"Reading TOC FAILED!\n"

10052	"...succeeded\n"

10053	"\t Track\t\t Type\t\tStart\n"

10054	"count: %d \n"

10055	"Next blocks: %u \n"

10056	"\t(Turning off the laser)\n"

10057	"\t(Turning on the laser)\n"

10058	"Retrieving mode page 5 for test mode FAILED\n"

10059	"Setting test mode using mode page 5 FAILED"	

10060	"Could not turn laser %s\n"	

10061	"\tNext writable address: %d\n"

10061	"get_device_info...\n"

10062	"\nReading device information\n"

10063	"\nUsing default capacity of %d\n"

10064	"\tUsing cd read (0xBE) for audio\n"

10065	"\n\tReading speed information\n"

10066	"\tWrite speed is %dX\n"

10067	"argument:%s \n"

10068	"value_string:%s \n"

10069	" devicename :%s \n"

10070	"error type %s\n"

10071	"Drive is not ready or cannot read TUR\n"

10072	"Please check if drive tray is ejected\n"

10073	"Media not writable!"

10074	"...retrieving mode page 0x2A FAILED\n"

10075	"no\n"

10076	" next_track %d \n"

10077	"\t(Media is blank)\n"

10078	"\tMedia not blank\n"

10079	" comma is null \n"

10080	"called. Res:X%sX\n"A

10081	" get_path_to_inst error \n"

10082	" get_driver_name error \n"

10083	"User's data on disk \n" 

10084   "Maximum retry allowed is 10, please specify a value from 0-10"

10085   "Blank on error window can be set as 1-50 for DVD+/-RW and 1-2000 for CD
-RW "

10086   "Blank on error count can be in the range 0-2"

10087   "dataprotection: Can set as disabled or enabled"

$ END Addnl I18N PROBE messages
$ END   PROBE messages
